#include <Arduino.h>
#include "BluetoothSerial.h"
#include "carroEsp32.h"
#include "OpenTB6612FNG/OpenTB6612FNG.h"

OpenTB6612FNG misMotores(0);
BluetoothSerial ESP_BT; //Object for Bluetooth


void setup() {
  init_sensores();
  Serial.begin(115200);
  Serial.println("Carro Esp32");
  ESP_BT.begin("CARRO ESP32"); //Name of your Bluetooth Signal
}

void loop() {
  misMotores.Forward();
  misMotores.Motores(255,255);
  if (ESP_BT.available()) //Check if we receive anything from Bluetooth
  {
    //incoming = ESP_BT.read(); //Read what we recevive
    Serial.print("Received:"); Serial.println(ESP_BT.read());
  }
  //readSensors();
  //printSensores();
  //delay(500);
  
}

